## org.apache.sling.jcr.compiler.impl
Class JcrJavaCompilerImpl

    java.lang.Object
      org.apache.sling.jcr.compiler.impl.JcrJavaCompilerImpl

All Implemented Interfaces:
  JcrJavaCompiler

    @Service(value=JcrJavaCompiler.class)
    public class JcrJavaCompilerImpl

extends java.lang.Object
implements JcrJavaCompiler

`JcrJavaCompilerImpl` ...

Field Summary
`protected org.apache.sling.commons.compiler.JavaCompiler` `compiler`
`protected org.apache.sling.jcr.api.SlingRepository` `repository`

Constructor Summary
`JcrJavaCompilerImpl()`

Method Summary
`org.apache.sling.commons.compiler.CompilationResult` `compile(java.lang.String[] srcFiles, org.apache.sling.commons.compiler.Options compilerOptions)` Compile source from the repository.
`org.apache.sling.commons.compiler.CompilationResult` `compile(java.lang.String[] srcFiles, java.lang.String outputDir, org.apache.sling.commons.compiler.Options compilerOptions)` Compile source from the repository.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### compiler

    @Reference
    protected org.apache.sling.commons.compiler.JavaCompiler compiler

### repository

    @Reference
    protected org.apache.sling.jcr.api.SlingRepository repository

Constructor Detail

### JcrJavaCompilerImpl

    public JcrJavaCompilerImpl()

Method Detail

### compile

    public org.apache.sling.commons.compiler.CompilationResult compile(java.lang.String[] srcFiles,
                                                                       java.lang.String outputDir,
                                                                       org.apache.sling.commons.compiler.Options compilerOptions)
                                                                throws java.lang.Exception

  Description copied from interface: `JcrJavaCompiler`
  Compile source from the repository.

  Specified by:
    `compile` in interface `JcrJavaCompiler`
  Parameters:
    `srcFiles` - The array of path in the repository pointing to the source
    `outputDir` - - Not supported anymore - the classes are written using the class loader writer
    `compilerOptions` - - Optional options
  Throws:
    `java.lang.Exception`
  See Also:
    `JcrJavaCompiler.compile(java.lang.String[], java.lang.String, org.apache.sling.commons.compiler.Options)`

### compile

    public org.apache.sling.commons.compiler.CompilationResult compile(java.lang.String[] srcFiles,
                                                                       org.apache.sling.commons.compiler.Options compilerOptions)
                                                                throws java.lang.Exception

  Description copied from interface: `JcrJavaCompiler`
  Compile source from the repository.

  Specified by:
    `compile` in interface `JcrJavaCompiler`
  Parameters:
    `srcFiles` - The array of path in the repository pointing to the source
    `compilerOptions` - - Optional options
  Throws:
    `java.lang.Exception`
  See Also:
    `JcrJavaCompiler.compile(java.lang.String[], org.apache.sling.commons.compiler.Options)`

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.